PIM2 4th edition support 
Author Message
 PIM2 4th edition support

  Does anyone know what edition of PIM2 is supported by the various IBM PC
compilers?  I have FST, which I believe supports 3rd edition (but I may
just have an old version).  Do any of them support PIM2 4th edition?  If they
do, and they have extensions (e.g. JPI), can the compiler generate warnings
for code that does not follow PIM2?

  Also, does anyone know of a compiler which will flag at least a warning
for the rule at the end of chapter 19 of PIM2, where Prof. Wirth writes:

  "No assignments to variables occuring in the with clause should be made
   within the statement sequence, except of course to the fields of the
   designated record."

Just curious.

 .    .    ______      Laboratory for Atmpospheric and Space Physics
 |   / \  (__  ._)     University of Colorado, Boulder

                       Disclaimer: Only the opinions of a grad student (me)



Mon, 05 Apr 1993 03:37:39 GMT  
 PIM2 4th edition support

 >  Does anyone know what edition of PIM2 is supported by the various IBM PC
 >compilers?  

Nearly all support as close to 3rd edition as they understand, I think, except
that JPI has some radical extensions (evem in its 1.17 release)

 >I have FST, which I believe supports 3rd edition

version 2b is the latest I know, and it's a pretty good Edition 3.  It has
a few extensions (LONG/SHORT and FLAT/PTR conversions, and from SYSTEM you can
import ASSEMBLER that allows you then to do in-place 8086 assembler mnemonics.

 >If they have extensions (e.g. JPI), can the compiler generate
 >warnings for code that does not follow PIM2?

Not in JPI's case.

 >  Also, does anyone know of a compiler which will flag at least a warning
 >for the rule at the end of chapter 19 of PIM2, where Prof. Wirth writes:

 >  "No assignments to variables occuring in the with clause should be made
 >   within the statement sequence, except of course to the fields of the
 >   designated record."

No

--  
uucp: uunet!m2xenix!puddle!5!494!4.101!Pat.Terry



Sat, 10 Apr 1993 12:36:02 GMT  
 PIM2 4th edition support

 >   Does anyone know what edition of PIM2 is supported by the various IBM
 > PC compilers?  I have FST, which I believe supports 3rd edition (but I may
 > just have an old version).  Do any of them support PIM2 4th edition?  

Unless N. Wirth released a Corrected 4th edition (like he did with the 3rd  
edition) I seriously hope not.  There were (are?) massive errors in PIM4.

FST supports the PIM3C, as you suspect.

(Oh, check your signature line.  'Atmpospheric' is usually spelled with only  
one 'p'.)

...You trust them with your fortunes, let them guard your lives

--  
uucp: uunet!m2xenix!puddle!226!20.15!Jon.Guthrie



Sun, 11 Apr 1993 07:05:57 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. [S] Number crunching testreport 4th edition

2. ANNOUNCE: Haskell Communities and Activities Report (4th edition, May 2003)

3. Oberon and PROGRAMMING IN MODULA-2, 4th edition

4. BIOS support for 3rd and 4th hard disk

5. diff3 pim2 pim3 pim4

6. diff -c pim2 pim3

7. Standard Edition or Professional Edition?

8. Trade Delphi 5 Enterprise Edition for Clarion Web Edition with Web Broker

9. web edition <> proffesional edition

10. CW50 Enterprise edition & professional edition

11. C5 Enterprise Edition to C5 Professional Edition

12. VM Open Edition and MVS/ESA Open Edition

 

 
Powered by phpBB® Forum Software